<?php

namespace App\Enums;

enum RoadMaintenanceStationTypes: int
{
    case DAEMI= 1;
    case MOVAGHAT = 2;
    case FASLI = 3;

    public static function name(int $state): string
    {
        $mapArray = [
            1 => "دائمی",
            2 => "موقت",
            3 => "فصلی",
        ];

        return $mapArray[$state];
    }
}